/*
 * versions.h - part of jEditLauncher package
 * Copyright (C) 2001 John Gellene
 * jgellene@nyc.rr.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * Notwithstanding the terms of the General Public License, the author grants
 * permission to compile and link object code generated by the compilation of
 * this program with object code and libraries that are not subject to the
 * GNU General Public License, provided that the executable output of such
 * compilation shall be distributed with source code on substantially the
 * same basis as the jEditLauncher package of which this program is a part.
 * By way of example, a distribution would satisfy this condition if it
 * included a working makefile for any freely available make utility that
 * runs on the Windows family of operating systems. This condition does not
 * require a licensee of this software to distribute any proprietary software
 * (including header files and libraries) that is licensed under terms
 * prohibiting redistribution to third parties.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * Version 3.1 - Sun May 20 09:38:29 EDT 2001 @610 /Internet Time/
 *
 * $Id: versions.h,v 1.3 2002/01/22 19:06:05 jgellene Exp $
 */

/* USE OF VERSION SPECIFC DEFINES
 *
 * The source code for the jEditLauncher component uses defines (and in some
 * cases, template parameters) to allow for efficient versioning of the
 * component. An unusual requirement of the component is that it must relate to
 * a free-standing application which may have more than one version installed
 * on a machine. For example, someone may use version 3.1final of jEdit on a
 * day-to-day basis but use version 3.2pre1 for advanced features or for bug
 * testing. One of the principal features of jEditLauncher is a context menu
 * handler which by its nature must target only one version of the application.
 * Other features (such as the launching facility and scripting capability)
 * should be able to target coexisting versions of the application without
 * interfering with one another. The solution to these requirements adopted by
 * jEditLauncher is to have versions of the component correspond to specific
 * versions of jEdit, so that a jEditLauncher module knows its corresponding
 * version of jEdit and can inquire as to which other versions are installed
 * and which version controls the context menu handler.
 *
 */


// version-specific defines

#define IDS_REG_PARAMS_KEY			IDS_REG_PARAMS_KEY_4_0
#define CJEditLauncher				CJEditLauncher40
#define CLSID_JEditLauncher			CLSID_JEditLauncher40
#define IDR_IJEditLauncher			IDR_IJEditLauncher40
#define DISP_MAJOR_VER				3
#define DISP_MINOR_VER				2

// end version-specific defines
